
Foreman - Bug #1766

puppetca proxy broken with puppet 2.7.18

07/18/2012 04:13 PM - Adam Denning

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The output format in puppetca changed in 2.7.18. Hostnames are surrounded by "quotes" now. After upgrading from 2.7.17 I get this

error clicking on certificates for a puppetca proxy:

smart_proxy_puppetca_url failed to generate from {:action=>"update", :id=>#<SmartProxies::PuppetCA:0x7f12d97a4520

@fingerprint="78:E4:5B:C1:03:BD:3E:B7:97:0F:17:53:7E:FC:73:7F", @smart_proxy_id=1, @expires_at=nil,

@name="\"virtualxp-63912\"", @valid_from=nil, @state="valid">, :controller=>"SmartProxies::Puppetca",

:smart_proxy_id=>"1-puppetca"}, expected: {:action=>"update", :controller=>"SmartProxies::Puppetca"}, diff:

{:id=>#<SmartProxies::PuppetCA:0x7f12d97a4520 @fingerprint="78:E4:5B:C1:03:BD:3E:B7:97:0F:17:53:7E:FC:73:7F",

@smart_proxy_id=1, @expires_at=nil, @name="\"virtualxp-63912\"", @valid_from=nil, @state="valid">,

:smart_proxy_id=>"1-puppetca"}

full trace:

ActionView::TemplateError

smart_proxy_puppetca_url failed to generate from {:action=>"update", :id=>#, :controller=>"SmartProxies::Puppetca",

:smart_proxy_id=>"1-puppetca"}, expected: {:action=>"update", :controller=>"SmartProxies::Puppetca"}, diff: {:id=>#,

:smart_proxy_id=>"1-puppetca"}

app/helpers/application_helper.rb:105:in `display_link_if_authorized'

app/views/smart_proxies/puppetca/index.html.erb:23

app/views/smart_proxies/puppetca/index.html.erb:14:in `each'

app/views/smart_proxies/puppetca/index.html.erb:14

Related issues:

Is duplicate of Smart Proxy - Bug #1759: Certifcate Signing fails in the UI w... Closed 07/17/2012

History

#1 - 07/19/2012 02:21 AM - Ohad Levy

- Status changed from New to Duplicate

- Target version set to 1.0

#2 - 07/19/2012 11:10 AM - Adam Denning

I tried the patch in Bug #1759, and still getting the error above. This is in .4.2.

This seems to be a slightly different issue than Bug #1759 as I'm seeing the error when clicking certificates, not when trying to sign a certificate (I

can't get that far).

#3 - 07/19/2012 12:01 PM - Ohad Levy

I cant reproduce this issue on my setup, are you sure you applied it and restarted your proxy?

#4 - 07/19/2012 12:09 PM - Adam Denning

My bad. I had restarted foreman-proxy, but guess I had a cache issue or something going on as it seems to be working fine now. Thanks Ohad.
